Skip to Content
Referencia de la APIInformación de la cuenta

Información de la cuenta

Recupera los detalles de tu cuenta, información del nivel, límites de tasa y funciones habilitadas.

GET /api/v1/account

Este endpoint reemplaza al antiguo endpoint /me. El formato de respuesta se ha actualizado para utilizar el sobre estándar v1.

AutenticaciónPermalink for this section

Requiere API key. Disponible en todos los niveles.

Ejemplos de solicitudesPermalink for this section

curl -X GET "https://api.sharpapi.io/api/v1/account" \ -H "X-API-Key: YOUR_API_KEY"

RespuestaPermalink for this section

Éxito (200)Permalink for this section

{ "data": { "key_id": "key_abc123def456", "tier": "pro", "rate_limit": { "requests_per_minute": 300, "max_books": 15 }, "features": [ "odds", "schedule", "ev", "arbitrage", "middles", "low_hold", "closing_line", "splits" ], "streaming": { "enabled": true, "max_connections": 10 } }, "updated_at": "2026-02-08T14:44:32.123Z" }

Cabeceras de respuestaPermalink for this section

X-RateLimit-Limit: 300 X-RateLimit-Remaining: 287 X-RateLimit-Reset: 1707401100 X-Data-Delay: 0 X-Request-Id: req_acct123xyz

Respuestas de errorPermalink for this section

401 Unauthorized

{ "error": { "code": "unauthorized", "message": "Invalid or missing API key", "docs": "https://docs.sharpapi.io/en/authentication" } }

Campos de respuestaPermalink for this section

Objeto dataPermalink for this section

CampoTipoDescripción
key_idstringIdentificador de la API key utilizada en esta solicitud
tierstringNivel de suscripción: free, hobby, pro, sharp o enterprise
rate_limitobjectLímite de tasa y acceso a sportsbooks — ver abajo
featuresstring[]Capacidades habilitadas en tu nivel — ver abajo
streamingobjectDisponibilidad de streaming SSE/WebSocket — ver abajo

Un campo updated_at de nivel superior (timestamp ISO 8601) acompaña a data.

Objeto rate_limitPermalink for this section

CampoTipoDescripción
requests_per_minutenumberNúmero máximo de solicitudes a la API permitidas por minuto en tu nivel
max_booksnumberNúmero máximo de sportsbooks accesibles en tu nivel (999 indica ilimitado)

Array featuresPermalink for this section

Array de tokens de capacidad habilitados en tu nivel. Valores posibles:

ValorDescripción
oddsEndpoints de cuotas en vivo
scheduleEndpoints de eventos/calendario
evDetección de oportunidades +EV
arbitrageDetección de arbitraje
middlesDetección de middles
low_holdDetección de oportunidades low-hold
historyEndpoints de cuotas históricas
futuresMercados de futuros
closing_lineEndpoints de valor de línea de cierre
splitsDistribución de apuestas públicas

Objeto streamingPermalink for this section

CampoTipoDescripción
enabledbooleanIndica si el streaming SSE/WebSocket está disponible (por nivel, add-on o prueba)
max_connectionsnumberNúmero máximo de conexiones de streaming concurrentes (0 si el streaming no está habilitado)

Casos de usoPermalink for this section

Comprobar el acceso a funciones antes de hacer solicitudesPermalink for this section

const { data: account } = await fetch( 'https://api.sharpapi.io/api/v1/account', { headers: { 'X-API-Key': 'YOUR_API_KEY' } } ).then(r => r.json()); if (!account.features.includes('ev')) { console.log('Upgrade to Pro tier for +EV detection'); } else { // Proceed with EV endpoint const evData = await fetch( 'https://api.sharpapi.io/api/v1/opportunities/ev', { headers: { 'X-API-Key': 'YOUR_API_KEY' } } ).then(r => r.json()); }

Endpoints relacionadosPermalink for this section

Last updated on